.. _code_useridresolvers:

UserIdResolvers
---------------

.. index:: useridresolvers

.. automodule:: privacyidea.lib.resolvers

Base class
..........

.. autoclass:: privacyidea.lib.resolvers.UserIdResolver.UserIdResolver
   :members:

PasswdResolver
..............

.. autoclass:: privacyidea.lib.resolvers.PasswdIdResolver.IdResolver
   :members:

LDAPResolver
............

.. autoclass:: privacyidea.lib.resolvers.LDAPIdResolver.IdResolver
   :members:


